package com.sunxung.factoring.entity.weekWorkPlan;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;

/**
 * @Description:周工作计划数据展示辅助类
 * @author:wuduanli
 * @e-mail:1912942707@qq.com
 * @date:2018年1月4日 上午10:09:24
 */
public class WeekWorkPlanView {

    /** 本周开始日期 **/
    private String startTime;
    /** 本周结束日期 **/
    private String endTime;
    /** 本周对应周数 **/
    private Integer weekth;
    /** 下周开始日期 **/
    private String nextStartTime;
    /** 下周结束日期 **/
    private String nextEndTime;
    /** 上周开始日期 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date lastWeekFirstDay;
    /** 下周开始日期 **/
    @JSONField(format = "yyyy-MM-dd")
    private Date nextWeekFirstDay;
    /** 本周工作计划 **/
    private List<WeekWorkPlan> weekWorkPlanList;
    /** 下周工作计划 **/
    private List<WeekWorkPlan> nextWeekWorkPlanList;
    /** 当前系统时间对应所在周数 **/
    private Integer currentWeekth;
    /** 本周开始时日期（本周周一）对应所在年 **/
    private int currentYear;

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getWeekth() {
        return weekth;
    }

    public void setWeekth(Integer weekth) {
        this.weekth = weekth;
    }

    public Date getLastWeekFirstDay() {
        return lastWeekFirstDay;
    }

    public void setLastWeekFirstDay(Date lastWeekFirstDay) {
        this.lastWeekFirstDay = lastWeekFirstDay;
    }

    public Date getNextWeekFirstDay() {
        return nextWeekFirstDay;
    }

    public void setNextWeekFirstDay(Date nextWeekFirstDay) {
        this.nextWeekFirstDay = nextWeekFirstDay;
    }

    public List<WeekWorkPlan> getWeekWorkPlanList() {
        return weekWorkPlanList;
    }

    public void setWeekWorkPlanList(List<WeekWorkPlan> weekWorkPlanList) {
        this.weekWorkPlanList = weekWorkPlanList;
    }

    public List<WeekWorkPlan> getNextWeekWorkPlanList() {
        return nextWeekWorkPlanList;
    }

    public void setNextWeekWorkPlanList(List<WeekWorkPlan> nextWeekWorkPlanList) {
        this.nextWeekWorkPlanList = nextWeekWorkPlanList;
    }

    public String getNextStartTime() {
        return nextStartTime;
    }

    public void setNextStartTime(String nextStartTime) {
        this.nextStartTime = nextStartTime;
    }

    public String getNextEndTime() {
        return nextEndTime;
    }

    public void setNextEndTime(String nextEndTime) {
        this.nextEndTime = nextEndTime;
    }

    public Integer getCurrentWeekth() {
        return currentWeekth;
    }

    public void setCurrentWeekth(Integer currentWeekth) {
        this.currentWeekth = currentWeekth;
    }

    public int getCurrentYear() {
        return currentYear;
    }

    public void setCurrentYear(int currentYear) {
        this.currentYear = currentYear;
    }
}
